<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

// $idperkara=$this->encrypt->decode(base64_decode($enc));
// $idperkara = intval($idperkara);
$jenisTemplate = intval($jenisTemplate);
if(!is_numeric($jenisTemplate)){
    show_404();
    exit();
}

$bertemu = intval($bertemu);
if(!is_numeric($bertemu)){
    show_404();
    exit();
}

// $idKuasaTergugat=$this->encrypt->decode(base64_decode($idKuasaTergugat));
// $idKuasaTergugat = intval($idKuasaTergugat);
// $jursit=$this->encrypt->decode(base64_decode($jursit));
// $jursit_id = intval($jursit);
$jursitLabel = intval($jursit_id_label);
if(!is_numeric($jursitLabel)){
    show_404();
    exit();
}


foreach ($template->result() as $template)
{
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/relaas/perdata_umum/".$filename.".rtf");


$Template = file_get_contents($url);

function cetakPihak(&$strbuf, $tmp_label, $arrDef, $hasilFetch){
	$tblcnt = 1;
	$jmlphk = count($hasilFetch);
	foreach($hasilFetch->result() as $baris){
		$idxKolom = 1;
		foreach($arrDef as $kolomTabel => $label){
			$counter = (($jmlphk > 1)?($tblcnt.'.'):(''));
			$strbuf = str_replace($tmp_label,
					(($idxKolom == 1)?($counter):('')).
						' \tab '.$label.' \tab : \tab '.$baris->$kolomTabel.'; \\par'.
						PHP_EOL.
						//$tmp_label,
						( ($idxKolom < count($arrDef)) ? 
							($tmp_label) 
							:  
							(($tblcnt<$jmlphk)?($tmp_label):('')) 
						),
					$strbuf);
			$idxKolom++;
		}
		$tblcnt++;
	}
}

$dataKuasaTergugat = $dataTemplate;
//print_r($dataTemplate);
//print_r($dataKuasaTergugat->result());
	foreach ($dataKuasaTergugat->result() as $row) {
             $namaPengadilan = $row->namaPengadilan;
             $nomorperkara   = $row->noPerkara;
             $jurusita 		 = $this->templatehelper->standradnaming($row->jurusita);
             $tglPutusan     = $this->templatehelper->convertKeTglIndo($row->tglPutusan);
             $amarPutusan    = $this->templatehelper->cleanHtmlTag($row->amarPutusan);
             $namaPihakP     = $row->namaPihakP;
             $namaPihakT     = $row->namaPihakT;
             $statusPutusan  = $row->status_putusan;
             $namaPengacara = $row->nama_pengacara;
             $alamatPengacara = $row->alamat_pengacara;
             $pekerjaanPengacara = $row->pekerjaan_pengacara;
	}
////looping cuy..


$gkolom = array(
	'pihak2_nama' => 'N a m a',
	'alamat' => 'Alamat',
	'pekerjaan' => 'Pekerjaan'
	);
//$p = array();
$dataKuasaTergugat = $dataTemplate;
$counter = 1;
cetakPihak($Template, '#pihakparties#', $gkolom, $dataKuasaTergugat);

//bertemu atau tidak bertemu

if($jenisTemplate==1){
    $bertemuPihak="";
    if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di alamat/kedudukan Kuasa Tergugat, di sana saya bertemu dan berbicara dengan Kuasa Tergugat sendiri';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di alamat/kedudukan Kuasa Tergugat, akan tetapi tidak bertemu dengan Kuasa Tergugat, selanjutnya saya sampaikan kepada Lurah/Kepala Desa ..................... yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Kuasa Tergugat.';
}
} elseif ($jenisTemplate==2) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di alamat/kedudukan Kuasa Tergugat, akan tetapi tidak bertemu dengan Kuasa Tergugat, karena sudah meninggal dunia, selanjutnya pemberitahuan ini disampaikan kepada Tergugat sendiri.*';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di alamat/kedudukan Kuasa Tergugat, akan tetapi tidak bertemu dengan Kuasa Tergugat, karena sudah meninggal dunia, selanjutnya pemberitahuan ini disampaikan kepada Tergugat, karena tidak bertemu, maka pemberitahuan ini saya sampaikan kepada Lurah/Kepala Desa ..................... yang wajib segera memberitahukan surat Pemberitahuan tersebut kepada Tergugat';
}
} 

if ($jursitLabel==1) {
	$jursitLabelx = 'Jurusita';
	} else 
	$jursitLabelx = 'Jurusita Penggati';



$Template = str_replace("#namaPengadilan#",''.$namaPengadilan.'',$Template);
$Template = str_replace("#nomorperkara#",''.$nomorperkara.'',$Template);
$Template = str_replace("#jurusita#",''.$jurusita.'',$Template);
$Template = str_replace("#tglPutus#",''.$tglPutusan.'',$Template);
$Template = str_replace("#namaPihakP#",''.$namaPihakP.'',$Template);
$Template = str_replace("#namaPihakT#",''.$namaPihakT.'',$Template);
$Template = str_replace("#amarPutusan#",''.$amarPutusan.'',$Template);
$Template = str_replace("#namaPengacara#",''.$namaPengacara.'',$Template);
$Template = str_replace("#bertemuPihak#",''.$bertemuPihak.'',$Template);
$Template = str_replace("#statusPutusan#",''.$statusPutusan.'',$Template);
$Template = str_replace("#namaPengacara#",''.$namaPengacara.'',$Template);
$Template = str_replace("#alamatPengacara#",''.$alamatPengacara.'',$Template);
$Template = str_replace("#pekerjaanPengacara#",''.$pekerjaanPengacara.'',$Template);
$Template = str_replace("#jumlah#",''.number_format(strval($biaya),2,",",".").'',$Template);
$Template = str_replace("#jumlahx#",''.$this->templatehelper->Terbilang(intval($biaya)).'',$Template);
$Template = str_replace("#jursitLabel#",''.$jursitLabelx.'',$Template);

header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorperkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;

?>